#if !defined(AFX_OBJMANLISTCTRL_H__54F174CA_6EC6_4BC6_AB41_3BCFC34989E6__INCLUDED_)
#define AFX_OBJMANLISTCTRL_H__54F174CA_6EC6_4BC6_AB41_3BCFC34989E6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjManListCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CObjManListCtrl window
#define COLMAX 256

class CObjManListCtrl : public CListCtrl
{
// Construction
public:
	CObjManListCtrl();
	int GetItemByData(DWORD data);
	int SortCol;
	int GetColWithID(int sub);
	void DeleteAllColumns();
	void SetColID(int col,int id) {ColID[col]=id;}
	int ColID[COLMAX];
	// Attributes
public:
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjManListCtrl)
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CObjManListCtrl();

	// Generated message map functions
protected:
	
	//{{AFX_MSG(CObjManListCtrl)
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJMANLISTCTRL_H__54F174CA_6EC6_4BC6_AB41_3BCFC34989E6__INCLUDED_)
